com.qualcomm.ftccommon

## Enum LaunchActivityConstantsList.RequestCode

- java.lang.Object
- - java.lang.Enum<LaunchActivityConstantsList.RequestCode>
  - - com.qualcomm.ftccommon.LaunchActivityConstantsList.RequestCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LaunchActivityConstantsList.RequestCode>
  Enclosing class:
    LaunchActivityConstantsList

      public static enum LaunchActivityConstantsList.RequestCode
      extends java.lang.Enum<LaunchActivityConstantsList.RequestCode>

  Used internally to distinguish the results coming back from various launched (sub)activities

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONFIGURE_DRIVER_STATION`
    `CONFIGURE_ROBOT_CONTROLLER`
    `INSPECTIONS`
    `PROGRAM_AND_MANAGE`
    `PROGRAMMING_MODE`
    `SETTINGS_DRIVER_STATION`
    `SETTINGS_ROBOT_CONTROLLER`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LaunchActivityConstantsList.RequestCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LaunchActivityConstantsList.RequestCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final LaunchActivityConstantsList.RequestCode UNKNOWN

    - #### CONFIGURE_ROBOT_CONTROLLER

          public static final LaunchActivityConstantsList.RequestCode CONFIGURE_ROBOT_CONTROLLER

    - #### CONFIGURE_DRIVER_STATION

          public static final LaunchActivityConstantsList.RequestCode CONFIGURE_DRIVER_STATION

    - #### PROGRAMMING_MODE

          public static final LaunchActivityConstantsList.RequestCode PROGRAMMING_MODE

    - #### PROGRAM_AND_MANAGE

          public static final LaunchActivityConstantsList.RequestCode PROGRAM_AND_MANAGE

    - #### SETTINGS_DRIVER_STATION

          public static final LaunchActivityConstantsList.RequestCode SETTINGS_DRIVER_STATION

    - #### SETTINGS_ROBOT_CONTROLLER

          public static final LaunchActivityConstantsList.RequestCode SETTINGS_ROBOT_CONTROLLER

    - #### INSPECTIONS

          public static final LaunchActivityConstantsList.RequestCode INSPECTIONS

  - ### Method Detail

    - #### values

          public static LaunchActivityConstantsList.RequestCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LaunchActivityConstantsList.RequestCode c : LaunchActivityConstantsList.RequestCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LaunchActivityConstantsList.RequestCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null